@echo off

call validate_iffxiso.bat

if not exist extracted  mkdir extracted
ffxlba -e -fs "%iffxiso%"  wiso\lOther.txt  extracted\

rem becouse file can be extracted without extensions
if exist extracted\0228  move /Y extracted\0228  extracted\0228.dlg >NUL
if exist extracted\0219  move /Y extracted\0219  extracted\0219.pd2 >NUL

rem packed dlg2
shsplit.exe  4  -s  -f  -hmax 0x40  -min 0x40 -cbl 1  extracted\0219.pd2     extdec\0219
rename extdec\0219.0??  0219.0??.dlg2

